(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     15145,        451]
NotebookOptionsPosition[     13749,        399]
NotebookOutlinePosition[     14148,        416]
CellTagsIndexPosition[     14105,        413]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[StyleBox["Ejemplo de uso del RecurrenceTable",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
   3.5388301739970284`*^9, 3.538830183726585*^9}, {3.538912784108435*^9, 
   3.5389128001033497`*^9}, 3.5543872713578196`*^9, {3.5691566874990745`*^9, 
   3.56915668820811*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RecurrenceTable", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"2", 
        RowBox[{"a", "[", 
         RowBox[{"n", "-", "1"}], "]"}]}], "-", 
       RowBox[{"3", 
        RowBox[{"a", "[", 
         RowBox[{"n", "-", "2"}], "]"}]}]}]}], ",", " ", 
     RowBox[{
      RowBox[{"a", "[", "0", "]"}], "\[Equal]", "1"}], ",", " ", 
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], "\[Equal]", "4"}]}], "}"}], ",", "a", ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "2", ",", "20"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5389165664637737`*^9, 3.538916640225992*^9}, {
  3.538916682439407*^9, 3.538916682758425*^9}, {3.5389167575897055`*^9, 
  3.5389167913316355`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5", ",", 
   RowBox[{"-", "2"}], ",", 
   RowBox[{"-", "19"}], ",", 
   RowBox[{"-", "32"}], ",", 
   RowBox[{"-", "7"}], ",", "82", ",", "185", ",", "124", ",", 
   RowBox[{"-", "307"}], ",", 
   RowBox[{"-", "986"}], ",", 
   RowBox[{"-", "1051"}], ",", "856", ",", "4865", ",", "7162", ",", 
   RowBox[{"-", "271"}], ",", 
   RowBox[{"-", "22028"}], ",", 
   RowBox[{"-", "43243"}], ",", 
   RowBox[{"-", "20402"}], ",", "88925"}], "}"}]], "Output",
 CellChangeTimes->{
  3.538916643352171*^9, 3.5389166862126226`*^9, {3.5389167664692135`*^9, 
   3.5389167930097313`*^9}, {3.5397748881025186`*^9, 3.539774911846877*^9}}]
}, Open  ]],

Cell[TextData[StyleBox["Ejemplo del l\[IAcute]mite al n\[UAcute]mero \
\[AAcute]ureo",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
  3.5388301739970284`*^9, 3.538830183726585*^9}, {3.538912784108435*^9, 
  3.5389128001033497`*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "1", "]"}], "=", 
   RowBox[{
    RowBox[{"a", "[", "2", "]"}], "=", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "[", 
   RowBox[{"n_Integer", "?", "Positive"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"n", "-", "1"}], "]"}], "+", 
   RowBox[{"a", "[", 
    RowBox[{"n", "-", "2"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "[", 
   RowBox[{"n_Integer", "?", "Positive"}], "]"}], ":=", 
  FractionBox[
   RowBox[{"a", "[", 
    RowBox[{"n", "+", "1"}], "]"}], 
   RowBox[{"a", "[", "n", "]"}]]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", 
   RowBox[{"Input", "[", "\"\<Digite la cantidad de pruebas:\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{"ConstantArray", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "2"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", "=", "1"}], ",", 
   RowBox[{"i", "\[LessEqual]", "n"}], ",", " ", 
   RowBox[{
    RowBox[{"L", "=", 
     RowBox[{"ReplacePart", "[", 
      RowBox[{"L", ",", "i", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1"}], "}"}]}], "]"}]}], ";", 
    RowBox[{"L", "=", 
     RowBox[{"ReplacePart", "[", 
      RowBox[{"L", ",", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"b", "[", "i", "]"}], "-", 
         FractionBox[
          RowBox[{"1", "+", 
           SqrtBox["5"]}], "2"]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "2"}], "}"}]}], "]"}]}], ";", 
    RowBox[{"i", "++"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"L", ",", " ", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"PointSize", "[", "0.02", "]"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.538912812269046*^9, 3.5389128341652985`*^9}, {
  3.538912879767906*^9, 3.5389130380249586`*^9}, {3.538913080209371*^9, 
  3.538913267701095*^9}, {3.5389133042501855`*^9, 3.5389133780884085`*^9}, {
  3.5389134097842216`*^9, 3.53891357986695*^9}, {3.5389137030459957`*^9, 
  3.538913816511485*^9}, {3.5389138588009043`*^9, 3.538913897397112*^9}, {
  3.538913981880944*^9, 3.5389139839370613`*^9}, {3.538914112705426*^9, 
  3.538914300465166*^9}, {3.538914371025202*^9, 3.5389144048301353`*^9}, {
  3.5397753451566606`*^9, 3.5397753565743136`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
    PointBox[{{1., -0.6180339887498949}, {2., 0.3819660112501051}, {
     3., -0.1180339887498949}, {4., 0.04863267791677184}, {
     5., -0.018033988749894814`}, {6., 0.0069660112501050975`}, {
     7., -0.0026493733652794837`}, {8., 0.0010136302977241662`}, {
     9., -0.00038692992636546464`}, {10., 0.00014782943192326314`}}]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{0., 10.}, {-0.368033988749895, 0.3819660112501051}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{
  3.538914230528166*^9, {3.5389143883691936`*^9, 3.53891440788231*^9}, 
   3.5397752103779516`*^9, {3.5397753507349796`*^9, 3.5397753619906235`*^9}}]
}, Open  ]],

Cell[TextData[{
 StyleBox["Cantidad de regiones del plano ",
  FontWeight->"Bold"],
 "\[Pi]"
}], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
  3.5388301739970284`*^9, 3.538830183726585*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "1", "]"}], "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "[", 
   RowBox[{"n_Integer", "?", "Positive"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"n", "-", "1"}], "]"}], "+", "n"}]}], "\[IndentingNewLine]", 
 RowBox[{"a", "[", "7", "]"}]}], "Input",
 CellChangeTimes->{{3.538830030447818*^9, 3.5388300755954*^9}, {
  3.5388301368629045`*^9, 3.538830148377563*^9}}],

Cell[BoxData["29"], "Output",
 CellChangeTimes->{
  3.538830149489627*^9, {3.539775419169894*^9, 3.539775459248186*^9}}]
}, Open  ]],

Cell[TextData[StyleBox["Cardinalidad de un conjunto con n elementos",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
  3.5388301739970284`*^9, 3.538830183726585*^9}, {3.538833058614019*^9, 
  3.5388330703046875`*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Equal]", 
      RowBox[{"2", "*", 
       RowBox[{"a", "[", 
        RowBox[{"n", "-", "1"}], "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"a", "[", "0", "]"}], "\[Equal]", "1"}]}], "}"}], ",", 
   RowBox[{"a", "[", "n", "]"}], ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.5388330741099052`*^9, 3.538833144593937*^9}, {
  3.5388332371282296`*^9, 3.5388332396273727`*^9}, {3.5388339013332195`*^9, 
  3.53883391934025*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
    SuperscriptBox["2", "n"]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.538833123587735*^9, 3.5388331460580206`*^9}, {
   3.538833227213662*^9, 3.5388332436486025`*^9}, 3.5388333463344755`*^9, {
   3.5388339028403063`*^9, 3.5388339213813667`*^9}, 3.5397758385628815`*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Encontrar la sucesi\[OAcute]n",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
  3.5388301739970284`*^9, 3.538830183726585*^9}, {3.538833058614019*^9, 
  3.5388330703046875`*^9}, {3.5388339886732154`*^9, 3.538834005331168*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindSequenceFunction", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "2", ",", "7", ",", "14", ",", "23"}], "}"}], 
   ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.5388340122645645`*^9, 3.538834076192221*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "2"}], "+", 
  SuperscriptBox["n", "2"]}]], "Output",
 CellChangeTimes->{{3.538834069253824*^9, 3.538834077643304*^9}, 
   3.5388349370354586`*^9, 3.539776238170738*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "1", "]"}], "=", 
   RowBox[{"-", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "[", 
   RowBox[{"n_Integer", "?", "Positive"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"n", "-", "1"}], "]"}], "+", 
   RowBox[{"2", " ", "n"}], "-", "1"}]}], "\[IndentingNewLine]", 
 RowBox[{"DiscretePlot", "[", 
  RowBox[{
   RowBox[{"a", "[", "n", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "20"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5388353152010884`*^9, 3.538835316418158*^9}, {
  3.5388353488050103`*^9, 3.5388354177459536`*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0.24720000000000014`, 0.24, 0.6], 
    {Opacity[0.2], LineBox[{{{1., -1.}, {1., 0}}},
      VertexColors->None]}, 
    {Opacity[0.2], 
     LineBox[{{{2., 2.}, {2., 0}}, {{3., 7.}, {3., 0}}, {{4., 14.}, {
        4., 0}}, {{5., 23.}, {5., 0}}, {{6., 34.}, {6., 0}}, {{7., 47.}, {
        7., 0}}, {{8., 62.}, {8., 0}}, {{9., 79.}, {9., 0}}, {{10., 98.}, {
        10., 0}}, {{11., 119.}, {11., 0}}, {{12., 142.}, {12., 0}}, {{13., 
        167.}, {13., 0}}, {{14., 194.}, {14., 0}}, {{15., 223.}, {15., 0}}, {{
        16., 254.}, {16., 0}}, {{17., 287.}, {17., 0}}, {{18., 322.}, {
        18., 0}}, {{19., 359.}, {19., 0}}, {{20., 398.}, {20., 0}}},
      VertexColors->None]}}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], {}, PointBox[CompressedData["
1:eJxTTMoPSmViYGAQAWIQDQEf7KH0fqiAAyrNAaVloLQAlNaB0iJQ2hxKS0Bp
R1R9De5QvgKU9ofSShD6QDCUrwJVHwHlq0HlY6F8DSg/EcrXgtAPUlDd5ZAB
5etB5bOhfAOo/nwo3xBCfyiE8o0gtEIJlG8MoQvKoHwTqHkVDgCKiB9K
     "]], {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{1, 0},
  Method->{"MessagesHead" -> DiscretePlot},
  PlotRange->{{1, 20}, {-1., 398.}},
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}}]], "Output",
 CellChangeTimes->{3.53883541959606*^9, 3.5397764455205975`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "1", "]"}], "=", 
   RowBox[{"-", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "[", 
   RowBox[{"n_Integer", "?", "Positive"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"n", "-", "1"}], "]"}], "+", 
   RowBox[{"2", " ", "n"}], "-", "1"}]}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"n", ",", 
      RowBox[{"a", "[", "n", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "1", ",", "20"}], "}"}]}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5388358546579437`*^9, 3.5388359095360823`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGAQAWIQDQEf7KH0fqiAAyrNAaVloLQAlNaB0iJQ2hxKS0Bp
R1R9De5QvgKU9ofSShD6QDCUrwJVHwHlq0HlY6F8DSg/EcrXgtAPUlDd5ZAB
5etB5bOhfAOo/nwo3xBCfyiE8o0gtEIJlG8MoQvKoHwTqHkVDgCKiB9K
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{0., 20.}, {-1., 398.}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.5388359121232305`*^9, 3.539776697163991*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Torres de Hanoi",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
  3.5388301739970284`*^9, 3.538830183726585*^9}, {3.538833058614019*^9, 
  3.5388330703046875`*^9}, {3.5388339886732154`*^9, 3.538834005331168*^9}, {
  3.5388400891311417`*^9, 3.5388400948104663`*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"2", "*", 
        RowBox[{"a", "[", 
         RowBox[{"n", "-", "1"}], "]"}]}], "+", "1"}]}], ",", 
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], "\[Equal]", "1"}]}], "}"}], ",", 
   RowBox[{"a", "[", "n", "]"}], ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.5388401117534356`*^9, 3.538840122264037*^9}, {
  3.5396148968136425`*^9, 3.5396149144156494`*^9}, {3.539614973065004*^9, 
  3.5396149737790446`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     SuperscriptBox["2", "n"]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.5388401192088623`*^9, 3.5388401247031765`*^9}, 
   3.5396149348228164`*^9, 3.5396149763681927`*^9}]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{1584, 763},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>3. Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 372, 6, 131, "Text"],
Cell[CellGroupData[{
Cell[954, 30, 796, 22, 139, "Input"],
Cell[1753, 54, 663, 16, 134, "Output"]
}, Open  ]],
Cell[2431, 73, 321, 6, 131, "Text"],
Cell[CellGroupData[{
Cell[2777, 83, 2394, 64, 599, "Input"],
Cell[5174, 149, 847, 18, 684, "Output"]
}, Open  ]],
Cell[6036, 170, 257, 7, 522, "Text"],
Cell[CellGroupData[{
Cell[6318, 181, 463, 12, 756, "Input"],
Cell[6784, 195, 120, 2, 342, "Output"]
}, Open  ]],
Cell[6919, 200, 304, 5, 516, "Text"],
Cell[CellGroupData[{
Cell[7248, 209, 560, 15, 342, "Input"],
Cell[7811, 226, 381, 8, 342, "Output"]
}, Open  ]],
Cell[8207, 237, 338, 5, 516, "Text"],
Cell[CellGroupData[{
Cell[8570, 246, 270, 7, 342, "Input"],
Cell[8843, 255, 208, 5, 354, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9088, 265, 645, 18, 756, "Input"],
Cell[9736, 285, 1358, 29, 2904, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11131, 319, 679, 20, 756, "Input"],
Cell[11813, 341, 581, 15, 3054, "Output"]
}, Open  ]],
Cell[12409, 359, 377, 6, 516, "Text"],
Cell[CellGroupData[{
Cell[12811, 369, 591, 16, 342, "Input"],
Cell[13405, 387, 328, 9, 342, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
